package com.ff.base.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 资金账户类型枚举
 *
 * @author liukang
 */
@Getter
@AllArgsConstructor
public enum AccountChangeType {

    AccountChangeType_0("0","资金切换"),
    AccountChangeType_1("1","会员充值"),
    AccountChangeType_2("2","会员提现"),
    AccountChangeType_3("3","银商结算"),
    AccountChangeType_4("4","资金修正"),
    AccountChangeType_5("5","活动"),
    AccountChangeType_6("6","返水"),
    AccountChangeType_7("7","返佣"),
    AccountChangeType_8("8","任务"),
    AccountChangeType_9("9","VIP奖励"),
    AccountChangeType_10("10","充值优惠"),
    AccountChangeType_11("11","俱乐部"),
    AccountChangeType_12("12","奖励"),
    AccountChangeType_13("13","公积金");

    /**
     * 账变大类(字典ff_account_change_type)
     */
    private String changeType;


    /**
     * 描述信息
     */
    private String info;
}
